Work-around for FF3 Rated 5 out of 5 stars

This is a great extension for XKCD readers. Now, to get it working with FF3.x, you'll have to do a little editing. It's not hard, just a work-around until someone gets around to updating it.

Download the add-on xpi file and save it. Open the xpi file using your favorite unzipper. Extract "install.rdf" and open it in a text editor.

In "install.rdf" look for the xml tag "" and change "3.0a" to "3.1" (or 3.2 or something later). Save the file.

Put the updated "install.rdf" into the xpi file, overwriting the old one. Install and enjoy!